Skip to main content
PATCH
Change a webhook endpoint

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Replo-Api-Version
enum<string>
required

The public API version to use for this request.

Available options:
2026-11-17

Path Parameters

webhookEndpointId
string<uuid>
required

ID of the webhook endpoint.

Body

application/json
url
string<uri>
Maximum string length: 2048
description
string | null
Maximum string length: 255
events
enum<string>[]

Event types to send, e.g. order.paid. An empty list sends every event type.

Maximum array length: 20
Available options:
order.paid,
order.updated,
order.refunded,
order.cancelled,
fulfillment.created,
fulfillment.updated,
fulfillment.cancelled,
shipping_label.purchased,
shipping_label.voided
enabled
boolean

False stops deliveries. True turns an endpoint back on, including one Replo turned off after 7 days of failures.

Response

Change a webhook endpoint

id
string<uuid>
required
projectId
string<uuid>
required
url
string<uri>
required
Maximum string length: 2048
description
string | null
required
Maximum string length: 255
events
enum<string>[]
required
Available options:
order.paid,
order.updated,
order.refunded,
order.cancelled,
fulfillment.created,
fulfillment.updated,
fulfillment.cancelled,
shipping_label.purchased,
shipping_label.voided
apiVersion
string
required
enabled
boolean
required
disabledReason
string | null
required
createdAt
string
required
updatedAt
string
required
object
enum<string>
required
Available options:
webhook_endpoint